.header {
    padding-top: 30px;

    @media (max-width: 768px) {
        padding-top: 20px;
    }

    &__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .logo {
            order: 1;

            @media (max-width: 768px) {
                order: 2;
            }
        }

        .nav {
            display: flex;
            gap: 32px;
            order: 2;

            @media (max-width: 768px) {
                display: flex;
                width: 100%;
                left: 0;
                top: -150px;
                align-items: center;
                flex-direction: column;
                height: 100vh;
                justify-content: center;
                position: fixed;
                z-index: 3;
                background-color: $greenBtn;
                opacity: 0;
                visibility: hidden;
                transition: 0.3s ease;
            }

            &__link {
                color: $nav;
                font-size: 16px;
                font-style: normal;
                font-weight: 400;
                line-height: normal;

                @media (max-width: 768px) {
                    color: $white;
                }

                &:hover {
                    color: $orange;
                }
            }

            &__link.active {
                position: relative;

                &::after {
                    position: absolute;
                    content: '';
                    width: 20px;
                    height: 2px;
                    background-color: $orange;
                    left: 50%;
                    transform: translateX(-50%);
                    bottom: -5px;
                }
            }

            .close__btn {
                display: none;
                position: absolute;
                right: 15px;
                top: 15px;
                right: 55px;
                top: 35px;

                @media (max-width: 768px) {
                    display: flex;

                    span {
                        background-color: $white;
                        width: 45px;
                        height: 3px;
                        position: absolute;
                        left: 0;
                        top: 0;

                        &:nth-child(1) {
                            transform: rotate(45deg); 
                        }

                        &:nth-child(2) {
                            transform: rotate(-45deg);
                        }
                    }
                }
            }
        }

        .nav.active {
            opacity: 1;
            visibility: visible;
            top: 0;
        }

        .green__btn {
            @include greenBtn;
            order: 3;

            .logo {
                display: none;
            }
            
            @media (max-width: 425px) {
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 10px 10px;

                .logo {
                    display: flex;
                }

                .text {
                    display: none;
                }
            }
        }

        .nav__btn {
            display: none;
            
            @media (max-width: 768px) {
                order: 1;
            }

            span {
                width: 24px;
                height: 2px;
                background-color: $nav;
                position: relative;

                &:after {
                    position: absolute;
                    content: '';
                    width: 24px;
                    height: 2px;
                    background-color: $nav;
                    left: 0;
                    top: 8px;
                }

                &:before {
                    position: absolute;
                    content: '';
                    width: 24px;
                    height: 2px;
                    background-color: $nav;
                    left: 0;
                    top: -8px;
                }
            }

            @media (max-width: 768px) {
                display: flex;
            }
        }
    }
}